import { useAuth } from "./use-auth";

export function useRoleCheck() {
  const { user } = useAuth();

  const isAdmin = () => user?.role === "admin";
  const isModerator = () => user?.role === "moderator";
  const isAdminOrModerator = () => isAdmin() || isModerator();

  return {
    isAdmin,
    isModerator,
    isAdminOrModerator
  };
}
